Subject: [Netconf] [netconf] Editorial change for draft-ietf-netconf-nmda-netconf

From: Rohit R Ranade <[email-masked]>
Date: Thu, 31 May 2018 08:54:54 +0000

Change 1:
================
Section 3.1.1

OLD:
The "config-filter" parameter can be used to retrieve only "config
   true" or "config false" nodes.

NEW:
The "config-filter" parameter can be used to retrieve only "config
   true" or "config false" nodes. Note that if "config-filter" is set to "false",
configuration ancestors (if any) and list key leafs (if any)
are also returned.

Note:
"retrieve only "config false" nodes maybe misleading. So the use-full text written in RFC 8040 in Example 3 can be re-used here.

With Regards,
Rohit R Ranade

---

From: Kent Watsen <[email-masked]>
Date: Thu, 31 May 2018 18:54:14 +0000

As a contributor, I agree with this clarification.   As co-chair, I view this as an editorial update that the authors (assuming agreement) can commit/push while waiting for IETF LC to commence.

Kent

On 5/31/18, 4:54 AM, "Netconf on behalf of Rohit R Ranade" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Change 1:
================
Section 3.1.1

OLD:

NEW:
The "config-filter" parameter can be used to retrieve only "config
   true" or "config false" nodes. Note that if “config-filter” is set to “false”,
configuration ancestors (if any) and list key leafs (if any)
are also returned.

Note:
“retrieve only “config false” nodes maybe misleading. So the use-full text written in RFC 8040 in Example 3 can be re-used here.

With Regards,
Rohit R Ranade